EDIT - bug #6768

NumberFormatException during BHL query
06/30/2017 02:41 PM - Patrick Plitzner

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

Walter:

beim Aufruf der “Query BHL" Funktion im Details View — Protologues kommt u.a. Fehler.

login : w.berendsohn

editor version : 4.7.0

server : apil.cybertaxonomy.org (cybertaxonomy.org) / rubiaceae_mexico

schema version : 4.1.0.0.201607300000

os : Windows 7 6.1 amd64

java : 1.8.0_131

java.lang.NumberFormatException: For input string: "198-199, f. 1, 2"
at java.lang.NumberFormatException.forInputString (Unknown Source)
at java.lang.Integer.parselnt (Unknown Source)
at java.lang.Integer.valueOf (Unknown Source)

at eu.etaxonomy.cdm.ext.openurl.MobotOpenUrlServiceWrapper.parsePageNumber (MobotOp
enUrlServiceWrapper. java:173)

at eu.etaxonomy.cdm.ext.openurl.MobotOpenUrlServiceWrapper.doResolve (MobotOpenUrlS
erviceWrapper. java:114)

at eu.etaxonomy.taxeditor.ui.openurl.OpenUrlSelectorWizard.getResult (OpenUrlSelect
orWizard. java:132)

at eu.etaxonomy.taxeditor.ui.openurl.OpenUrlResultPage.createControl (OpenUrlResult
Page.java:64)

at org.eclipse.jface.wizard.Wizard.createPageControls (Wizard. java:175)

at org.eclipse.jface.wizard.WizardDialog.createPageControls (WizardDialog. java:696)
at org.eclipse.jface.wizard.WizardDialog.createContents (WizardDialog. java:588)

at org.eclipse.jface.window.Window.create (Window. java:426)

at org.eclipse.jface.dialogs.Dialog.create(Dialog. java:1095)

at org.eclipse.jface.window.Window.open (Window. java:783)

at eu.etaxonomy.taxeditor.ui.openurl.OpenUrlSelectorElement.widgetSelected (OpenUrl
SelectorElement. java:78)
TypedListener.handleEvent (TypedListener. java:249)

EventTable.sendEvent (EventTable. java:84)

Display.sendEvent (Display. java:4418)

.Widget.sendEvent (Widget. java:1079)

Display.runDeferredEvents (Display.java:4236)

Display.readAndDispatch (Display. java:3824)

eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin

eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE

.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav

eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196

ipseAppLauncher. java:134)

at org.eclipse.

uncher. java:104)
eclipse.core.runtime

.internal.adaptor.EclipseAppLauncher.runApplication (Ecl

.internal.adaptor.EclipseAppLauncher.start (EclipseAppLa

.adaptor.EclipseStarter.run(EclipseStarter. java:388)

.adaptor.EclipseStarter.run(EclipseStarter.java:243)

reflect.NativeMethodAccessorImpl.invokeO (Native Method)

reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)

org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

org.eclipse.equinox.launcher.Main.run (Main.java:1519)

Related issues:

Is duplicate of EDIT - bug #6861: Number format exception in BHL Query when d... New

History

#1 - 10/27/2021 01:37 AM - Andreas Miiller

- Status changed from New to Duplicate
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- Target version deleted (Unassigned CDM tickets)

duplicates #6861

#2 - 10/27/2021 01:37 AM - Andreas Miiller
- Is duplicate of bug #6861: Number format exception in BHL Query when detail is not a pure number added
https://dev.e-taxonomy.eu/redmine/issues/6861
http://www.tcpdf.org

